#include "puzzledemox-resourcepool.hpp"

ResourcePool::ResourcePool(void)
{
	// Don't be tempted to add a call to ResourcePool::Initialize() here.
	// (It's a bad idea because this constructor gets called before GameX loads.)
}

ResourcePool::~ResourcePool(void)
{
}

void ResourcePool::Initialize(void) // loads all the resources
{
	aliens_img.Load("PuzzleDemoImages\\aliens.jpg","PuzzleDemoImages\\aliens_alpha.gif");
	stars_img.Load("PuzzleDemoImages\\stars.jpg");
	stars_img.ChangeSaturation(2.0f); // double the "colorfulness" of the stars
	zap_img.Load("PuzzleDemoImages\\zap.bmp");

	gameover_snd.Load("PuzzleDemoSounds\\gameover.wav");
	poof_snd.Load("PuzzleDemoSounds\\poof.wav");
	spin_snd.Load("PuzzleDemoSounds\\spin.wav");
	stick_snd.Load("PuzzleDemoSounds\\stick.wav");

	carnival_song.Load("PuzzleDemoSounds\\acs.mid");
}